commit 0a8173ffdeb56b0e7145cad565753d9d47848701
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Aug 19 18:47:43 2018 +0200

    configure.ac: release GIMP 2.10.6

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 68375543762b76869f604f6ab6afc201386a1c9f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Aug 19 18:43:39 2018 +0200

    icons: make the gap of the broken chain larger in the Color theme

 icons/Color/24/gimp-hchain.png              | Bin 860 -> 5704 bytes
 icons/Color/24/gimp-vchain.png              | Bin 1020 -> 5950 bytes
 icons/Color/scalable/gimp-hchain-broken.svg |  20 ++++++++++----------
 icons/Color/scalable/gimp-hchain.svg        |  16 ++++++++--------
 icons/Color/scalable/gimp-vchain-broken.svg |  14 +++++++-------
 icons/Color/scalable/gimp-vchain.svg        |  12 ++++++------
 6 files changed, 31 insertions(+), 31 deletions(-)

commit 90ed3c8d3ab7fd9e3ea05d0b0e9522dda4036876
Author: Ell <ell_se@yahoo.com>
Date:   Sun Aug 19 06:43:59 2018 -0400

    libgimp: disable tile command range check in plug-in tile backend

    In gimp_tile_backend_plugin_command(), disable the range check for
    the input tile command.  This check prevents us from adding new
    tile commands to GEGL without breaking the ABI; yet, the next GEGL
    release will add a new command.  We're going to have to decide what
    to do about this, but for now, let's just disable the check, so
    that at least GIMP 2.10.6 is compatible with newer versions of
    GEGL, no matter how we end up handling this.

 libgimp/gimptilebackendplugin.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8f21c9483aa8913f90383e74c9030cc56bc73bae
Author: Jehan <jehan@girinstud.io>
Date:   Sun Aug 19 12:29:33 2018 +0200

    Issue #1970: Python-fu missing in 2.10.4.

    Do not set the interpreter to `python2` but to whatever was found
    by the
    AM_PATH_PYTHON2() m4 macro.
    It looks like the Python2 binary we ship in our DMG may be call
    "python"
    only (without the '2'). Let's just make our code more resilient to
    various builds.
    I am not sure yet this is the only/actual problem for this issue on
    macOS, but this is at least in the right way.

 plug-ins/pygimp/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87a9feb6d958037c9545f0d011f0ee9ad45d64c2
Author: Jehan <jehan@girinstud.io>
Date:   Sun Aug 19 12:21:57 2018 +0200

    app: fix "Bad interpreter" error messaging.

    If I override the `program` variable, and it is not found in PATH
    environment, then it is NULL and the error message is unhelpful. Make
    the return value of g_find_program_in_path() into a separate variable
    instead, and only override `program` in the end, when we know it is
    non-NULL.

 app/plug-in/gimpinterpreterdb.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 1e44cbd82c643cdd18fd0e5ac02c7acaf07ee0e1
Author: Jehan <jehan@girinstud.io>
Date:   Sat Aug 18 18:25:50 2018 +0200

    desktop: GIMP 2.10.6 is now planned to be released on 2018-08-19.

    Hopefully that's now the right one!

    (cherry picked from commit 1d555018ed2bd82c1e97774662bf220609e69874)

 desktop/org.gimp.GIMP.appdata.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ed34fd9207077ec5c9c09adfc4498979c3a479d
Author: Ell <ell_se@yahoo.com>
Date:   Fri Aug 17 22:53:15 2018 -0400

    app: show horizontal scrollbar in dashboard when necessary

    (cherry picked from commit 8313a40fb583c6b580707fc9edf0fdfa45577192)

 app/widgets/gimpdashboard.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b03709ab5e68740a12fe52945954d60b3d737a28
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Aug 18 15:23:22 2018 +0200

    configure/app: depend on GEGL 0.4.8

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 024fb90fd467fb46987cf5d9a622e8669b48594b
Author: Snehalata B Shirude <snehalata.shirude@gmail.com>
Date:   Sat Aug 18 11:51:58 2018 +0200

    Updated Marathi translation

 po-plug-ins/mr.po  | 121
 ++++++++++++++++++++++++-----------------------------
 po-script-fu/mr.po |  32 +++-----------
 2 files changed, 59 insertions(+), 94 deletions(-)

commit 55a7872e1be44102a66d6de07e6ea9e33d84c416
Author: Jehan <jehan@girinstud.io>
Date:   Sat Aug 18 00:33:29 2018 +0200

    plug-ins: include the right python source in the distribution.

    The python path with directory are generated files and should not
    be in
    the dist. The previous commit was fixing an in-tree `make check` but
    this one fixes the `make distcheck` as the dist was packaging
    the wrong
    python files.

 plug-ins/pygimp/plug-ins/Makefile.am | 46
 ++++++++++++++++++++++++++----------
 1 file changed, 34 insertions(+), 12 deletions(-)

commit 8ec5f44f2f12b6cf8f73bba223f3d0b2a95a6640
Author: Jehan <jehan@girinstud.io>
Date:   Sat Aug 18 00:00:50 2018 +0200

    po-python: skip copied Python files from POTFILES.

    This issue was invisible when making VPATH builds, but appeared
    only in
    source-tree builds as gettext tools are apparently mixing source and
    build files. So we need to add these in the POTFILES.skip.

 po-python/POTFILES.skip | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 319b1efb4d6d019f089c4132dfcd812ced59e3f8
Author: Tim Sabsch <tim@sabsch.com>
Date:   Fri Aug 17 16:41:17 2018 +0000

    Update German translation

 po/de.po | 215
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 113 insertions(+), 102 deletions(-)

commit eb9789f241d889c860aba3841e4a5d09187f8c15
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Aug 16 19:04:31 2018 +0200

    etc, docs: regenerate system gimprc and its manpage

 docs/gimprc.5.in | 9 ++++++++-
 etc/gimprc.in    | 8 +++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 8df7a258a47c72198b09a906f3735697bc64e83e
Author: Bruno Lopes da Silva <brunolopesbldsb@gmail.com>
Date:   Thu Aug 16 20:31:05 2018 +0000

    Update Brazilian Portuguese translation

 po-windows-installer/pt_BR.po | 24 +++++++-----------------
 1 file changed, 7 insertions(+), 17 deletions(-)

commit 7cc1bab361040c7f9616148636e108d69f14bb56
Author: Ricardo Silva Veloso <ricvelozo@gmail.com>
Date:   Thu Aug 16 20:25:15 2018 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 1995
 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1095 insertions(+), 900 deletions(-)

commit f98dffce544a6bf4aa4a61ed2f4e4007edf3fb7e
Author: Jehan <jehan@girinstud.io>
Date:   Thu Aug 16 16:46:45 2018 +0200

    NEWS: new long shadow filter was missing.

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 0b9a8af67382eb90c7f70ead91553c6a078d3990
Author: Jehan <jehan@girinstud.io>
Date:   Thu Aug 16 14:22:21 2018 +0200

    NEWS: keep up-to-date.

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 035c7854902174978001e42bf700b0869cce5ce8
Author: Jehan <jehan@girinstud.io>
Date:   Wed Jul 18 22:06:12 2018 +0200

    Issue #788: also install all python plug-ins in their own directory.

    It seems I forgot to also install python plug-ins in a subdirectory
    (because they are deactivated on master for the time being). I even
    found a year-old patch from myself rotting in the tracker, and
    which was
    doing exactly this.
    I redid it, improved to fit changes.

    (cherry picked from commit dbb9555d2f22b796b490d205563bdd272159f05d)

 plug-ins/pygimp/plug-ins/Makefile.am | 39
 +++++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 16 deletions(-)

commit 5682a01626915ccbec7a60fcaf3df097bbc7d259
Author: Jehan <jehan@girinstud.io>
Date:   Thu Jun 14 03:05:15 2018 +0200

    plug-ins: fix individual install targets of common plug-ins.

    The "rule from hell", dixit Mitch. :-)

    (cherry picked from commit 2713bc428528524e3629907b8b121846c90db95a)

 plug-ins/common/Makefile.am | 6 +++---
 plug-ins/common/mkgen.pl    | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 25f099344fbf44b0c02e9db23ce26c61c749ee54
Author: Jehan <jehan@girinstud.io>
Date:   Sun May 13 01:01:41 2018 +0200

    plug-ins: make plug-ins inside common/ to also install in subfolders.

    (cherry picked from commit d89ad95cc78e6167353635cbb0240cfa17999834)

 plug-ins/common/Makefile.am | 285
 +++++++++++++++++++++++++++++---------------
 plug-ins/common/mkgen.pl    |  20 ++--
 2 files changed, 199 insertions(+), 106 deletions(-)

commit 79961a654559e06cd853a4337bd1e97e963ec080
Author: Jehan <jehan@girinstud.io>
Date:   Sat May 12 00:28:05 2018 +0200

    plug-ins: install plug-ins in subfolder.

    I am going to forbid plug-ins from being installed directly in
    the root
    of the plug-ins/ directory. They will have to be installed in a
    subdirectory named the same as the entry point binary.
    This may seem useless for our core plug-ins which are nearly all
    self-contained in single binaries, but this is actually a necessary
    restriction to eliminate totally the DLL hell issue on Windows. Moving
    core plug-ins in subfolders is only a necessary consequence for it.

    (cherry picked from commit 870ca6334d79b421811e5ecd817883a5cff2673a)

 plug-ins/file-bmp/Makefile.am          |  2 +-
 plug-ins/file-exr/Makefile.am          |  2 +-
 plug-ins/file-faxg3/Makefile.am        |  2 +-
 plug-ins/file-fits/Makefile.am         |  2 +-
 plug-ins/file-fli/Makefile.am          |  2 +-
 plug-ins/file-ico/Makefile.am          |  2 +-
 plug-ins/file-jpeg/Makefile.am         |  2 +-
 plug-ins/file-psd/Makefile.am          |  2 +-
 plug-ins/file-raw/Makefile.am          | 11 ++++++-----
 plug-ins/file-sgi/Makefile.am          |  2 +-
 plug-ins/file-tiff/Makefile.am         |  2 +-
 plug-ins/file-webp/Makefile.am         |  2 +-
 plug-ins/flame/Makefile.am             |  2 +-
 plug-ins/fractal-explorer/Makefile.am  |  2 +-
 plug-ins/gfig/Makefile.am              |  2 +-
 plug-ins/gimpressionist/Makefile.am    |  2 +-
 plug-ins/gradient-flare/Makefile.am    |  2 +-
 plug-ins/help-browser/Makefile.am      |  2 +-
 plug-ins/help/Makefile.am              |  2 +-
 plug-ins/ifs-compose/Makefile.am       |  2 +-
 plug-ins/imagemap/Makefile.am          |  2 +-
 plug-ins/lighting/Makefile.am          |  2 +-
 plug-ins/map-object/Makefile.am        |  2 +-
 plug-ins/metadata/Makefile.am          |  8 ++++----
 plug-ins/pagecurl/Makefile.am          |  2 +-
 plug-ins/print/Makefile.am             |  2 +-
 plug-ins/screenshot/Makefile.am        |  2 +-
 plug-ins/script-fu/Makefile.am         |  2 +-
 plug-ins/selection-to-path/Makefile.am |  2 +-
 plug-ins/twain/Makefile.am             |  2 +-
 30 files changed, 38 insertions(+), 37 deletions(-)

commit 2c553da7ebcb2618547411b5c30b92a9d87f7edd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Aug 14 18:47:29 2018 +0200

    configure/app: depend on babl 0.1.56

    (cherry picked from commit 3d464e03b46af8431c252ba7216471fc2e7df8e0)

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 91cb86d2ab1dd0cfa68876c2519472fcfed68b9b
Author: Jehan <jehan@girinstud.io>
Date:   Wed Aug 15 19:01:36 2018 +0200

    app: reorder function definitions/declarations.

    Just make so that the declarations and definitions are in the same
    order for easy maintenance.

 app/plug-in/gimpplugin.c | 460
 +++++++++++++++++++++++------------------------
 1 file changed, 230 insertions(+), 230 deletions(-)

commit 39afd29b7b4a7730c943b5431ad507bbcf8f2883
Author: Jehan <jehan@girinstud.io>
Date:   Wed Aug 15 14:35:04 2018 +0200

    NEWS: keep up-to-date.

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit c9d761805668185ee3b33270d8edd3aa49bf1f3a
Author: Jehan <jehan@girinstud.io>
Date:   Wed Aug 15 14:24:15 2018 +0200

    app: open the Windows console a bit earlier.

    If we enable the console on Windows, we might as well open it as
    fast as
    possible, since its purpose is debugging.

 app/main.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 91c139f4d0d4bba7278060896300ecc866d921ee
Author: Jehan <jehan@girinstud.io>
Date:   Wed Aug 15 13:52:51 2018 +0200

    Issue #1809: update DLL directory for 32-bit plug-in run from
    64-bit...

    ... Windows installation of GIMP.

    Our default installer installs 32-bit version of the various DLLs in
    32/bin/ (under the installation prefix). Currently this additional
    folder is simply added in the PATH, so it works most of the time.
    Unfortunately the PATH is searched last for DLLs, and in particular,
    it
    is searched after system directories. So it means that if any
    misbehaved
    application is installing DLLs in system dirs (and in particular
    incompatible/older versions of the same DLLs a GIMP plug-in uses), it
    breaks the 32-bit plug-in.

    SetDllDirectoryW() bypasses this order and the set folder is
    searched in
    between the binary directory and the system dirs. We were already
    setting this for our main bin/ directory, which was good for 64-bit
    plug-ins, but this was not protecting 32-bit plug-ins. Now our code to
    run plug-ins check the bitness of the executable before running
    it, and
    updates the DLL folder accordingly.
    The alternative 32-bit folder can be overridden by the configure
    option
    --with-win32-32bit-dll-folder (default: 32/bin/). This option can only
    be set when building for 64-bit Windows obviously.

    Alternatively we could have put copies of 32-bit DLLs in a subfolder
    with each 32-bit plug-in, but this is at best a terrible workaround,
    as
    we would duplicate DLLs for every such case. And this would not have
    protected third-party plug-ins which wish to use some of our DLLs.
    Last alternative is to use AddDllDirectory(), but it works since
    Windows
    7 with a given update only. And our current official support is any
    Windows since Windows 7. So we don't want to use this right now (also
    I'm not sure it would actually be much better than current
    implementation, and it seems to have a bit more limitations than
    SetDllDirectoryW(), though I have not tested).

 app/plug-in/gimpplugin.c | 50 +++++++++++++++++++++++++++
 configure.ac             | 89
 ++++++++++++++++++++++++++++++++----------------
 2 files changed, 109 insertions(+), 30 deletions(-)

commit ec79b5c9bc7eb93a4d0b1762fb08e609c662fabb
Author: Jehan <jehan@girinstud.io>
Date:   Mon Aug 13 12:32:12 2018 +0200

    INSTALL, configure: replace Jasper with OpenJPEG.

    Just realizing we haven't updated the INSTALL file with the dependency
    change.

    (cherry picked from commit fb57133d55f88e88fafadec8b09a0a3084585b88)

 INSTALL.in   | 4 ++--
 configure.ac | 2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit d49606ee8334b6cfa6ab974071e37fbc980c9d98
Author: Jehan <jehan@girinstud.io>
Date:   Tue Aug 7 12:09:19 2018 +0200

    app: work with GIO in splash code.

    This will go with the next commit, but I broke it so I can backport
    the
    code without extension handling in gimp-2-10 first.

    (cherry picked from commit c7b5977637c28b7ca991cb6e36c9e3352d27967e)

 app/gui/splash.c | 145
 ++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 100 insertions(+), 45 deletions(-)

commit 1a2887894371c0344094cba600f48f9cec3ab101
Author: Jehan <jehan@girinstud.io>
Date:   Fri Aug 10 19:46:16 2018 +0200

    app, configure: add a --enable-win32-debug-console build option.

    Debugging stable versions under Windows is a pain because we
    don't have
    access to the standard outputs. The debug console is indeed only built
    on unstable builds. Let's make the debug console a separate build
    option
    to allow building stable versions for debug (obviously the default
    behavior when not configuring, is same as before, i.e. stable without
    console and unstable with console).

 app/main.c   |  2 +-
 configure.ac | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+), 1 deletion(-)

commit c49afa4f84c70538f7ed30784569bb4d32b159c0
Author: Jehan <jehan@girinstud.io>
Date:   Sun Aug 12 19:21:44 2018 +0200

    plug-ins: replace s/printf/g_printf/

    When cross-compiling, I got various linking errors for printf() calls:
    > undefined reference to `libintl_printf'

    I am unsure why, since this is not recent code, and it used to build
    fine with mingw64 compilers (last I cross-built, which is many months
    ago). Anyway g_printf() works fine, all necessary libs are already
    linked, and it is supposed to be a synonym. So let's just go the easy
    way and use g_printf() only.

 plug-ins/common/curve-bend.c       | 26 ++++++------
 plug-ins/common/file-xwd.c         | 54 ++++++++++++------------
 plug-ins/common/jigsaw.c           |  2 +-
 plug-ins/common/newsprint.c        | 18 ++++----
 plug-ins/common/sample-colorize.c  | 84
 +++++++++++++++++++-------------------
 plug-ins/file-raw/file-darktable.c |  6 +--
 plug-ins/file-sgi/sgi.c            |  4 +-
 7 files changed, 97 insertions(+), 97 deletions(-)

commit d1d9eb17e5c59f13f27ff1d906291d34b1022c9a
Author: Jehan <jehan@girinstud.io>
Date:   Sun Aug 12 16:08:41 2018 +0200

    configure: GLIB_COMPILE_RESOURCES is wrong when cross-compiling.

    AM_PATH_GLIB_2_0 m4 macro actually computes this value using
    $PKG_CONFIG. Yet $PKG_CONFIG variable is the pkg-config tool
    looking for
    target libraries (not host), hence it would return the executable
    `glib-compile-resources` built for the target.

    Also using the same variable name invalidates our test: our own
    AC_PATH_PROG was never run as the variable was already set. And no
    environment variable could override this test anymore either. This is
    why I rename the test variable to HOST_GLIB_COMPILE_RESOURCES.

 configure.ac                  | 24 ++++++++++++++++++++----
 cursors/Makefile.am           |  4 ++--
 icons/Color/Makefile.am       |  4 ++--
 icons/Legacy/Makefile.am      |  4 ++--
 icons/Symbolic/Makefile.am    |  4 ++--
 plug-ins/pagecurl/Makefile.am |  2 +-
 6 files changed, 29 insertions(+), 13 deletions(-)

commit 2587b85aaa7d67bced5fec259317313a4948247e
Author: Jehan <jehan@girinstud.io>
Date:   Sun Aug 12 15:30:28 2018 +0200

    libgimpthumb: another missing link to libgimpbase.

    Again this error was only raised when cross-compiling.

 libgimpthumb/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 0865e9db1f27154816f5e01483a55fa6064fdbaa
Author: Jehan <jehan@girinstud.io>
Date:   Sun Aug 12 15:12:22 2018 +0200

    tools: fix linking error.

    Though no error was raised during a native build, a cross-build was
    choking on this missing link to libgimpbase and failing.
    The error returned by the linker though was a bit amiss.

    Fixes:
    > gimp-test-clipboard.o: In function `test_clipboard_copy_callback':
    > tools/gimp-test-clipboard.c:419: undefined reference to
    `g_file_get_contents'
    > collect2: error: ld returned 1 exit status

 tools/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a727131036d5d09f4932d0357b859fb476cc4ef2
Author: Jehan <jehan@girinstud.io>
Date:   Sun Aug 12 13:04:01 2018 +0200

    NEWS: keep up-to-date.

 NEWS | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 3bbebaf6e06229ac893c1d4a34295a156ab28a06
Author: Jehan <jehan@girinstud.io>
Date:   Fri Aug 10 19:09:05 2018 +0200

    Issue #1999: Opening the Preferences dialogue triggers Xcode warning.

    It seems that calling `lldb` when it is absent triggers some popup
    proposing to install Xcode on macOS. This is obviously not good. Let's
    check presence with g_find_program_in_path() instead. I was refraining
    from doing so until now, because this function allocates memory, hence
    may not do well during a crash.
    Fortunately we don't need to check for lldb during crash (unlike gdb
    which has some unacceptable behavior for older versions, at least on
    FreeBSD) so that should be ok.

    (cherry picked from commit 04bbe941d5eb60d7547f7c66cd482f5fe91471e6)

 libgimpbase/gimputils.c | 36 +++++++++++++++++++++++++-----------
 1 file changed, 25 insertions(+), 11 deletions(-)

commit c05bd7b6c9f2b38ea1e42056d949b427cbf39ea6
Author: Jehan <jehan@girinstud.io>
Date:   Thu Aug 9 11:18:49 2018 +0200

    app: small code cleaning.

    Removing unused declaration of icons_set_icon_theme().
    And reorder a bit the declarations to match the definition order.

    (cherry picked from commit ae19441ddc1e9327a2920c19ef3f8943e2b14046)

 app/gui/icon-themes.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 6bc992fc3ad0a81c3f8073de450af8d77cc6d115
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Fri Aug 10 20:49:36 2018 +0200

    Updated Slovenian translation

 po/sl.po | 325
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 190 insertions(+), 135 deletions(-)

commit b1fbf1eb6338d0fd7d634560dc4236c53cc7c790
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Aug 10 15:55:14 2018 +0200

    Issue ##2000 - Linked and unlinked chain icons look almost identical

    Make the gap of the broken chain icons of the "Color" theme wider.

 icons/Color/24/gimp-hchain-broken.png | Bin 806 -> 5641 bytes
 icons/Color/24/gimp-vchain-broken.png | Bin 909 -> 5779 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 23c877cb09011d356ba32a17eb488b6dac0e0b22
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Fri Aug 10 13:54:59 2018 +0000

    Update Latvian translation

 po-libgimp/lv.po | 221
 +++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 140 insertions(+), 81 deletions(-)

commit 3cf34c7ab9c761ff2de9e7891faeef8269b16907
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Fri Aug 10 11:54:34 2018 +0000

    Update Spanish translation

 po/es.po | 168
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 86 insertions(+), 82 deletions(-)

commit 83c764817f1591732461060db60423f1ea600743
Author: Tim Sabsch <tim@sabsch.com>
Date:   Fri Aug 10 11:46:00 2018 +0000

    Update German translation

 po-plug-ins/de.po | 1061
 +++++++++++++++++++++++++++++------------------------
 1 file changed, 573 insertions(+), 488 deletions(-)

commit eeb942612e09e026099624f9bebe799163b50ddd
Author: Tim Sabsch <tim@sabsch.com>
Date:   Fri Aug 10 10:59:44 2018 +0000

    Update German translation

 po-libgimp/de.po | 113
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 56 insertions(+), 57 deletions(-)

commit b785d7752c36145ef4507ac49e7f89e776dd8d3d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Aug 10 07:46:19 2018 +0000

    Update Swedish translation

 po/sv.po | 149
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 77 insertions(+), 72 deletions(-)

commit dfe57b37cd6fc886418428ca898444358d30a9bd
Author: Ell <ell_se@yahoo.com>
Date:   Fri Aug 10 03:15:09 2018 -0400

    app: fix group layer drawable update during size change

    In gimp_group_layer_update_size(), never suspend drawable updates
    (and, in fact, remove the option to suspend drawable updates
    entirely,) and instead never update the drawable during the call to
    gimp_drawable_set_buffer_full(), and flush the group's projection
    *after* setting the drawable's buffer, so that any pending updates
    will happen after the group's buffer and size are up-to-date.

    This fixes some missed drawable updates.

    (cherry picked from commit fc2c640ca25f9a6680224412a3159e21c70939e2)

 app/core/gimpgrouplayer.c | 24 ++++++------------------
 1 file changed, 6 insertions(+), 18 deletions(-)

commit 2f1041bed0fe6be48390752fca5e45d89e5ac800
Author: Ell <ell_se@yahoo.com>
Date:   Fri Aug 10 02:36:29 2018 -0400

    app: fix projection update-area offset upon buffer
    allocation/reisizing

    In GimpProjection, change gimp_projection_add_update_area() to take
    coordinates in the projection's coordinate system, rather than the
    image coordinate system, and move the offset adjustment to the
    projectable invalidation handler.

    Modify gimp_projection_projectable_structure_changed() to pass
    projection-space coordinates to gimp_projection_add_update_area().

    gimp_projection_get_buffer() and
    gimp_projection_projectable_bounds_changed() already pass
    projection-space coordinates to gimp_projection_add_update_area(),
    which was wrong before, when the projection had a nontrivial
    offset, but is correct now.

    (cherry picked from commit 2d63bc6e0a15d6ebd2446ebd7f067a811a4f85a6)

 app/core/gimpprojection.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 895dd005b247346892a420142142890e353c2741
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 10 06:46:51 2018 +0200

    Update Polish translation

 po/pl.po | 147
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 76 insertions(+), 71 deletions(-)

commit e10d5852c17e8fd8ce493a7d0c1f01aae6b51348
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 9 18:58:00 2018 -0400

    app: add gegl:long-shadow to the menus

    (cherry picked from commit 537bf4ec6a9c99894f4df7409c78b2fea73ef381)

 app/actions/filters-actions.c | 6 ++++++
 app/sanity.c                  | 1 +
 app/tools/gimpgegltool.c      | 1 +
 app/widgets/gimphelp-ids.h    | 1 +
 menus/image-menu.xml.in       | 1 +
 5 files changed, 10 insertions(+)

commit e1e637c238d52bc4579825f1eaae36d6b47dca47
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 9 18:52:27 2018 -0400

    app: keep sanity/blacklist gegl op lists alphabetically sorted

    (cherry picked from commit b6c56a6ae944fc4b08810f45c16e0a367dafa6c6)

 app/sanity.c             | 2 +-
 app/tools/gimpgegltool.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cd086c94b3689b056730262e82023ec40655063b
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 9 18:58:48 2018 -0400

    configure.ac: require GEGL >= 0.4.7

    (cherry picked from commit d4ef45bdbd1dc6cac2c273bd02dc29b57697b412)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4409d5496df9b6501b6ff6bb9dac4bed701510b1
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Thu Aug 9 19:24:28 2018 +0000

    Update Latvian translation

 po/lv.po | 3273
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1764 insertions(+), 1509 deletions(-)

commit 5f371bc84fad281adc8c18806c8f779dadfbe032
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Aug 9 20:52:56 2018 +0200

    Updated Slovenian translation

 po-libgimp/sl.po | 77
 +++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 48 insertions(+), 29 deletions(-)

commit 03e95eb8936e05f6f5e5496ae8f6bfeeba00c491
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Aug 9 20:50:47 2018 +0200

    Updated Slovenian translation

 po-plug-ins/sl.po | 26 +++++++++-----------------
 1 file changed, 9 insertions(+), 17 deletions(-)

commit b17619399f3a0ec0f4015ac541ecf185ac86e10f
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Thu Aug 9 18:46:37 2018 +0000

    Update Latvian translation

 po-windows-installer/lv.po | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit 02a4ce19d6911b9bb5bf1d837c575cd0a4378d98
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Aug 9 20:44:21 2018 +0200

    Updated Slovenian translation

 po/sl.po | 120
 +++++++++++++++++++++------------------------------------------
 1 file changed, 39 insertions(+), 81 deletions(-)

commit ee89bfad52c99276a247249f02ed184a5937b491
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Thu Aug 9 18:40:16 2018 +0000

    Update Latvian translation

 po-plug-ins/lv.po | 154
 +++++++++++++++++++++++++++++-------------------------
 1 file changed, 82 insertions(+), 72 deletions(-)

commit c27ba74e71ba36ab29a5c265ef6c21c4068b3e5c
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Aug 9 20:27:32 2018 +0200

    Updated Slovenian translation

 po-windows-installer/sl.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 6c201827a75b0e4fb6fbd7414a69f327a98226e2
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Aug 8 23:23:26 2018 +0000

    Update Swedish translation

 po/sv.po | 3086
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1664 insertions(+), 1422 deletions(-)

commit b43a84c6fb2053a3564bcb835061f9d72bf3ffb1
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Aug 8 23:16:39 2018 +0000

    Update Swedish translation

 po-libgimp/sv.po | 203
 +++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 128 insertions(+), 75 deletions(-)

commit ef1f98863ae521ae3d0e46ca8b2e5271c682bd1e
Author: Claude Paroz <claude@2xlibre.net>
Date:   Wed Aug 8 09:52:14 2018 +0200

    Updated French translation for libgimp/plugins

 po-libgimp/fr.po  | 165 ++++++++++++++----------
 po-plug-ins/fr.po | 378
 +++++++++++++++++++++++++-----------------------------
 2 files changed, 274 insertions(+), 269 deletions(-)

commit af2a27f1c9d3c76e6100fa045e4447c26003e2ea
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Aug 7 20:05:07 2018 +0200

    Issue #1662 - GIMP crashes while using cage transform when selection
    is active

    Fixed by implementing Massimo's two findings:

    gimp_operation_cage_transform_process(): if aux_buf is NULL, bail out
    after initializing out_buf with identity vectors, fixes the crash.

    gimp_cage_tool_create_filter(): set the drawable filter's region to
    GIMP_FILTER_REGION_DRAWABLE, fixes offset when there is a selection.

    (cherry picked from commit 49dfc6143d66d10be4cd1f8ba288729342521f6a)

 app/operations/gimpoperationcagetransform.c | 3 +++
 app/tools/gimpcagetool.c                    | 1 +
 2 files changed, 4 insertions(+)

commit 6e656aedcb8b0c370c839fda668774566aa11b06
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 7 18:53:43 2018 +0200

    Update Polish translation

 po/pl.po | 161
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 108 insertions(+), 53 deletions(-)

commit d83fb5b9dd12ec7563b79225c978eea19625c2f7
Author: Tim Sabsch <tim@sabsch.com>
Date:   Tue Aug 7 16:23:44 2018 +0000

    Update German translation

 po-windows-installer/de.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit b8ef5a8527451dcb3f4758d940289e236e80e8b9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Tue Aug 7 16:13:23 2018 +0000

    Update German translation

 po/de.po | 5814
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 3160 insertions(+), 2654 deletions(-)

commit 338154ea0eac4cd06997bcdbdb674dbfde1adc5f
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Tue Aug 7 12:33:46 2018 +0000

    Update Spanish translation

 po/es.po | 170
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 114 insertions(+), 56 deletions(-)

commit 3712e688f2058a87f9f8630b6cee4b354d9fe900
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 23 04:45:43 2018 +0200

    configure/app: depend on GEGL 0.4.6

    (cherry picked from commit cb132d2a97b209c3b69a7ff59963e4ffab7d5f58)

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c1ec74badcb3c5d3d863577093ae582fb7c0742c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 23 04:44:58 2018 +0200

    configure/app: depend on babl 0.1.54

    (cherry picked from commit 5fdcc0dfbb83a2426992a7fe01ff87e2cd29654b)

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b22c22a288f313378fbc115bc05a6e6eda276154
Author: Jehan <jehan@girinstud.io>
Date:   Mon Aug 6 13:30:45 2018 +0200

    desktop: preparing release for GIMP 2.10.6.

    (cherry picked from commit 343bfbf2590d3d8552c0e5a3846b22ec03e3b90a)

 desktop/org.gimp.GIMP.appdata.xml.in.in | 37
 +++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

commit 8b893bb8179717b6084e30d315dc90fc0ad5541f
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Aug 6 11:35:43 2018 +0000

    Update Swedish translation

 po-plug-ins/sv.po | 181
 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 94 insertions(+), 87 deletions(-)

commit 7057490298578ca3b59a1dbb25ca4c7101f20c38
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Aug 6 11:29:31 2018 +0000

    Update Swedish translation

 po-windows-installer/sv.po | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 34b54971d817939cfe4b7a2b1bcf9fbee0470f34
Author: ONO Yoshio <ohtsuka.yoshio@gmail.com>
Date:   Fri Aug 3 12:32:15 2018 +0900

    Fix file-pdf-save exports broken vertical text.

    (cherry picked from commit f0e585e7ffe24d3f1f4793f6b2c35b26a7d6fb60)

 plug-ins/common/file-pdf-save.c | 102
 +++++++++++++++++++++++++++++++---------
 1 file changed, 80 insertions(+), 22 deletions(-)

commit 4d6074fe23fb01e9e11e209e4b60b3328a0decda
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Aug 6 09:52:20 2018 +0000

    Update Spanish translation

 po-libgimp/es.po | 106
 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 55 insertions(+), 51 deletions(-)

commit c7574ff02c0084692fcc1302d5e4dacc9fe10e94
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Aug 6 09:50:01 2018 +0000

    Update Spanish translation

 po-windows-installer/es.po | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit 5826a399b25417e190e68f2885a332275f3effdd
Author: Ell <ell_se@yahoo.com>
Date:   Mon Aug 6 04:17:47 2018 -0400

    Issue #1125 - Transform tools temporarily disables layer mask

    In GimpCanvasTransformPreview, add the necessary bits to the
    preview graph so that, when transforming a layer, the layer's
    opacity and mask are correctly applied to the preview.  Note that
    since we're still not rendering the preview as part of the image
    graph, the output is not always accurate, but it should be good
    enough in most cases.

    (cherry picked from commit 2ac91e0fc380a042d3492634cd9ab0d879ca404a)

 app/display/gimpcanvastransformpreview.c | 269
 +++++++++++++++++++++++--------
